----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    11:36:21 11/05/2014 
-- Design Name: 
-- Module Name:    four_bit_counter - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity map_progress_counter is
    Port ( enable : in  STD_LOGIC;
			  Clk : in  STD_LOGIC;
			  anodes : out STD_LOGIC_VECTOR (3 downto 0);
           segments : out  STD_LOGIC_VECTOR (7 downto 0));
end map_progress_counter;

architecture Behavioral of map_progress_counter is
component t_ff is 
	port (  toggle : in  STD_LOGIC;
			  enable : in STD_LOGIC; 
           Q : out  STD_LOGIC;
           CLK : in  STD_LOGIC);
end component;
signal ff_output: std_logic_vector (7 downto 0) := "00000000"; 
signal temp2, temp3: STD_LOGIC;
signal sclk : STD_LOGIC; 

begin

t_ff0 : t_ff port map (Clk => Clk,
							  enable => enable, 
							  toggle => '1', 
							  Q => ff_output(0)); 
							  
t_ff1 : t_ff port map (Clk => Clk, 
								enable => enable, 
								toggle => ff_output(0), 
								Q => ff_output(1));
								
temp2 <= (ff_output(1) and ff_output(0));
t_ff2 : t_ff port map (Clk => Clk, 
							  enable => enable, 
							  toggle => temp2, 
							  Q => ff_output(2));
						
temp3 <=(ff_output(2) and ff_output(1) and ff_output(0));				
t_ff3 : t_ff port map (Clk => Clk, 
							  enable => enable, 
							  toggle => temp3, 
							  Q => ff_output(3)); 
							  

								

end Behavioral;

