----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    11:02:25 11/21/2014 
-- Design Name: 
-- Module Name:    win_loss_logic - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity win_lose_logic is
    Port ( obstacles : in  STD_LOGIC_VECTOR (7 downto 0);
           position : in  STD_LOGIC_VECTOR (7 downto 0);
			  first_row_enable : in std_logic;
           score : in  STD_LOGIC_VECTOR (7 downto 0);
			  win_lose : out STD_LOGIC_VECTOR (1 downto 0));
end win_lose_logic;

architecture Behavioral of win_lose_logic is
begin 

check: process (position, obstacles, score, first_row_enable)
begin
win_lose <= "10"; -- continue to play at this value
if (first_row_enable = '1') then
if (position = "10000000") then 
	if (obstacles(0) = '1') then 
		win_lose <= "00"; -- game over at this value
	end if;
	
elsif (position = "01000000") then 
	if (obstacles(1) = '1') then 
		win_lose <= "00";
	end if;
	
elsif (position = "00100000") then 
	if (obstacles(2) = '1') then 
		win_lose <= "00";
	end if;

elsif (position = "00010000") then 
	if (obstacles(3) = '1') then 
		win_lose <= "00";
	end if;

elsif (position = "00001000") then 
	if (obstacles(4) = '1') then 
		win_lose <= "00";
	end if;

elsif (position = "00000100") then 
	if (obstacles(5) = '1') then 
		win_lose <= "00";
	end if;

elsif (position = "00000010") then 
	if (obstacles(6) = '1') then 
		win_lose <= "00";
	end if;

elsif (position = "00000001") then 
	if (obstacles(7) = '1') then 
		win_lose <= "00";
	end if;
end if; 
end if;

if (score = "11111111") then 
	win_lose <= "11"; -- game won at this value
end if;

end process check; 

end Behavioral;

