----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    12:00:14 10/27/2014 
-- Design Name: 
-- Module Name:    ff_display - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity buffer_with_output_enable is
    Port ( data_in : in  STD_LOGIC_VECTOR (7 downto 0);
           Clk : in  STD_LOGIC;
           output_enable : in  STD_LOGIC;
			  data_out : out std_logic_vector (7 downto 0));
end buffer_with_output_enable;

architecture Behavioral of buffer_with_output_enable is
component d_ff is 
    Port ( Clk : in  STD_LOGIC;
           D : in  STD_LOGIC;
			  enable : in STD_LOGIC;
           Q : out  STD_LOGIC);
end component; 
--signals go here
signal ff_output: std_logic_vector (7 downto 0); 
begin
 
	d_ff0 : d_ff port map (Clk => Clk, 
								  enable => '1',
								  D => not data_in(0), 
								  Q => ff_output(0));

	d_ff1 : d_ff port map (Clk => Clk, 
								  enable => '1',
								  D => not data_in(1), 
								  Q => ff_output(1));

	d_ff2 : d_ff port map (Clk => Clk, 
								  enable => '1',
								  D => not data_in(2), 
								  Q => ff_output(2));

	d_ff3 : d_ff port map (Clk => Clk, 
								  enable => '1',
								  D => not data_in(3), 
								  Q => ff_output(3));

	d_ff4 : d_ff port map (Clk => Clk, 
								  enable => '1',
								  D => not data_in(4), 
								  Q => ff_output(4));

	d_ff5 : d_ff port map (Clk => Clk, 
								  enable => '1',
								  D => not data_in(5), 
								  Q => ff_output(5));

	d_ff6 : d_ff port map (Clk => Clk, 
								  enable => '1',
								  D => not data_in(6), 
								  Q => ff_output(6));
 
	d_ff7 : d_ff port map (Clk => Clk, 
								  enable => '1',
								  D => not data_in(7), 
								  Q => ff_output(7));
								  
proc1: process(ff_output, output_enable, clk)
begin
	if (output_enable = '1') then 
		 data_out <= ff_output;
	else 
		data_out <= "11111111";
	end if;
end process proc1; 

end Behavioral;

