----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    11:49:51 10/27/2014 
-- Design Name: 
-- Module Name:    d_ff - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity d_ff is
    Port ( Clk : in  STD_LOGIC;
           D : in  STD_LOGIC;
			  enable : in STD_LOGIC;
           Q : out  STD_LOGIC);
end d_ff;

architecture Behavioral of d_ff is

begin
flop : process(D, Clk, enable) 
begin 
	if (rising_edge(Clk)) then 
		if enable = '1' then 
			Q <= D; 
		end if;
	end if; 
end process flop;

end Behavioral;

