----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    11:36:21 11/05/2014 
-- Design Name: 
-- Module Name:    four_bit_counter - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity display_counter is
    Port ( enable : in  STD_LOGIC;
			  Clk : in  STD_LOGIC;
			  count : out STD_LOGIC_VECTOR (2 downto 0));
end display_counter;

architecture Behavioral of display_counter is
component t_ff is 
	port (  toggle : in  STD_LOGIC;
			  reset : in STD_LOGIC;
			  enable : in STD_LOGIC; 
           Q : out  STD_LOGIC;
           CLK : in  STD_LOGIC);
end component; 



signal ff_output: std_logic_vector (2 downto 0) := "000"; 
signal temp2: STD_LOGIC;

begin

t_ff0 : t_ff port map (Clk => Clk,
							  reset => '0', 
							  enable => enable, 
							  toggle => '1', 
							  Q => ff_output(0)); 
							  
t_ff1 : t_ff port map (Clk => Clk, 
  							   reset => '0', 
								enable => enable, 
								toggle => ff_output(0), 
								Q => ff_output(1));
								
temp2 <= (ff_output(1) and ff_output(0));
t_ff2 : t_ff port map (Clk => Clk, 
							  reset => '0', 
							  enable => enable, 
							  toggle => temp2, 
							  Q => ff_output(2));			
count <= ff_output;
end Behavioral;

