----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    13:30:00 11/22/2014 
-- Design Name: 
-- Module Name:    Standard_Decoder_3to8 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Standard_Decoder_3to8 is
    Port ( dec_in : in  STD_LOGIC_VECTOR (2 downto 0);
           dec_out : out  STD_LOGIC_VECTOR (7 downto 0));
end Standard_Decoder_3to8;

architecture Behavioral of Standard_Decoder_3to8 is

begin
with dec_in select 
dec_out <= "01111111" when "000",
			  "10110111" when "001",
			  "11011111" when "010",
			  "11101111" when "011",
			  "11110111" when "100",
			  "11111011" when "101",
			  "11111101" when "110",
			  "11111110" when others;

end Behavioral;

