----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    11:00:42 11/03/2014 
-- Design Name: 
-- Module Name:    t_ff - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity t_ff is
    Port ( toggle : in  STD_LOGIC;
			  reset : in STD_LOGIC;
			  enable : in STD_LOGIC; 
           Q : out  STD_LOGIC;
           CLK : in  STD_LOGIC);
end t_ff;

architecture Behavioral of t_ff is
signal old_output, new_output: STD_LOGIC :='0'; 

begin
flop : process(toggle, enable, Clk, reset) 
begin 
	if enable = '1' then 
		if (rising_edge(Clk)) then 
		old_output <= new_output;
			if toggle = '1' then 
				new_output <= not(old_output); 
				Q <= new_output;
			end if;
		end if; 
	end if; 
if reset = '1' then 
	new_output <= '0';
	old_output <= new_output;
	Q <= new_output;
end if;
end process flop;

end Behavioral;

